vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 4
声望: 0

08:24:09 初始化CTA回测引擎
08:24:09 策略文件加载完成
08:24:09 RQData数据接口初始化成功
08:24:13 ----------------------------------------
08:24:13 IF88.CFFEX-1m开始下载历史数据
08:24:13 数据下载失败,触发异常:
Traceback (most recent call last):
File "d:\Anaconda3\lib\site-packages\vnpy\app\cta_backtester\engine.py", line 365, in run_downloading
data = rqdata_client.query_history(req)
File "d:\Anaconda3\lib\site-packages\vnpy\trader\rqdata.py", line 132, in query_history
adjust_type="none"
File "d:\Anaconda3\lib\site-packages\rqdatac\decorators.py", line 131, in wrap
return func(args, **kwargs)
File "d:\Anaconda3\lib\site-packages\rqdatac\services\get_price.py", line 117, in get_price
pf = get_minbar(order_book_ids, start_date, end_date, fields, duration, market)
File "d:\Anaconda3\lib\site-packages\rqdatac\services\get_price.py", line 433, in get_minbar
"get_minbar_v", order_book_ids, start_date, end_date, fields, duration, market
File "d:\Anaconda3\lib\site-packages\rqdatac\decorators.py", line 59, in wrap
return func(
args, kwargs)
File "d:\Anaconda3\lib\site-packages\rqdatac\thread_local.py", line 43, in execute
return self._execute(self._get_connection(), method, args, kwargs)
File "d:\Anaconda3\lib\site-packages\rqdatac\thread_local.py", line 39, in _execute
raise e
File "d:\Anaconda3\lib\site-packages\rqdatac\thread_local.py", line 34, in _execute
return conn.execute(method, *args,
kwargs)
File "d:\Anaconda3\lib\site-packages\rqdatac\connection.py", line 132, in execute
msg_type, body = self._read_one_packet()
File "d:\Anaconda3\lib\site-packages\rqdatac\connection.py", line 102, in _read_one_packet
raise get_error(code)(msg)
rqdatac.share.errors.QuotaExceeded: login session num reached MAX limit

description

description

description

Administrator
avatar
加入于:
帖子: 4130
声望: 230

RQData服务器升级导致的,请去Github下载master分支代码,解压后运行python setup.py install安装即可

Member
avatar
加入于:
帖子: 4
声望: 0

原来已经是2.07的版本了,现在又去Github下载master分支代码,解压后运行python setup.py install安装了,问题仍然依旧。

description

Administrator
avatar
加入于:
帖子: 4130
声望: 230
  1. 请使用VNStudio-2.0.7
  2. 再去master分支下载代码安装

如果不是特别有经验,不要使用Anaconda之类的环境自己安装vn.py

Member
avatar
加入于:
帖子: 11
声望: 0

同样的问题 一开是学vnpy安装过1.92 2.03 版本 会不会有冲突

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3